Skip to main content
GET
/
invoices
/
summary
Get an invoice summary
curl --request GET \
  --url https://eu.sequencehq.com/api/invoices/summary \
  --header 'Authorization: <authorization>'
{
  "totalsByCurrency": [
    {
      "currency": "GBP",
      "invoiceCount": 12,
      "grossTotal": 15400
    },
    {
      "currency": "USD",
      "invoiceCount": 3,
      "grossTotal": 980.5
    }
  ]
}

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

Sequence-Version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Query Parameters

invoiceStatus
string

Filter by invoice status. Options: IN_PROGRESS, DRAFT, FINAL, SENT, VOIDED

invoicePaymentStatus
string

Filter by payment status. Options: UNPAID, PARTIALLY_PAID, PAID, UNCOLLECTIBLE

customerId
string

Filter by customer id.

billingScheduleId
string

Filter by billing schedule id.

dueBefore
string

Filter by due date before. Format: yyyy-MM-dd

dueAfter
string

Filter by due date after. Format: yyyy-MM-dd

sentBefore
string

Filter by sent date before. Format: yyyy-MM-dd

sentAfter
string

Filter by sent date after. Format: yyyy-MM-dd

invoiceBefore
string

Filter by invoice date before. Format: yyyy-MM-dd

invoiceAfter
string

Filter by invoice date after. Format: yyyy-MM-dd

excludeZeroQuantity
boolean

Exclude invoices with zero quantity.

invoiceCurrency
string

Get invoices for a specific currency (provide a comma-separated list)

Search invoices by invoice number (partial, case-insensitive match)

invoiceNumber
string

Filter by invoice number

netTotal
number

Filter by net total amount

Response

OK

totalsByCurrency
object[]
required

Aggregate totals for the invoices matching the supplied filters, grouped by currency.

Example:
[
{
"currency": "GBP",
"invoiceCount": 12,
"grossTotal": 15400
},
{
"currency": "USD",
"invoiceCount": 3,
"grossTotal": 980.5
}
]